Page MenuHomePhabricator

Official support for upgrade from existing Mailman 2.1 lists to Mailman 3
Open, LowPublic

Description

The Mailman 3 Release note say "While it is possible to upgrade existing Mailman 2.1 lists to run on Mailman 3, we are not yet officially sanctioning it. The plan is to officially support upgrades with Mailman 3.1, but for now, feel free to experiment with upgrading and let us know how it goes. It should be possible to run Mailman 2.1 on the same site as Mailman 3."

As an active mailinglist user I want to be reassured nothing gets lost or broken in an upgrade from Mailman 2.1 to Mailman 3.0.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2016, 7:16 PM

Who is supposed to define "official" in the word "official support", and what is this task about in comparison to T52864#954874? "Assuring that nothing breaks" is already part of an upgrading task I'd say...

The "official" and the "we" in the quote of the Mailman 3 Release note is something written from the perspective of the Mailman developer / release team.

T52864#954874 asks to just install Mailman 3. Yes you can install Mailman 3 to start new mailing lists. For existing mailing lists the people from Mailman say you're taking a risk. Migration of existing mailing lists is a proper subtask of upgrading task I'd say.

jrbs added a subscriber: jrbs.Feb 8 2017, 8:53 AM
Restricted Application added a project: Operations. · View Herald TranscriptJun 1 2018, 9:34 PM
Joe triaged this task as Low priority.Jun 18 2018, 5:39 AM

It looks that the link provided above by the task author no longer reads what was wrote. Instead I've found https://docs.mailman3.org/en/latest/migration.html.